Raydium CLMM Pool Info
Returns detailed pool information for a specific Raydium CLMM (Concentrated Liquidity Market Maker) pool on Solana. The response includes pricing, tick/liquidity state, token metadata, TVL, volume, fees, and APR metrics for the requested pool.
GET
https://api.cambrian.org/solana/raydium-clmm/pool
Parameters
pool_addresses* (string)
Comma-separated pool addresses within the same DEX. Example: addr1,addr2,addr3
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "dexAddress",
"type": "String"
},
{
"name": "dexName",
"type": "String"
},
{
"name": "poolAddress",
"type": "FixedString(44)"
},
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "token0Address",
"type": "FixedString(44)"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "FixedString(44)"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "feeTier",
"type": "UInt32"
},
{
"name": "tickSpacing",
"type": "UInt16"
},
{
"name": "sqrtPriceX64",
"type": "UInt128"
},
{
"name": "tick",
"type": "Int32"
},
{
"name": "price",
"type": "Nullable(Float64)"
},
{
"name": "lastSwapTime",
"type": "DateTime('UTC')"
},
{
"name": "tokenVault0",
"type": "FixedString(44)"
},
{
"name": "tokenVault1",
"type": "FixedString(44)"
},
{
"name": "token0PriceUSD",
"type": "Float64"
},
{
"name": "token1PriceUSD",
"type": "Float64"
},
{
"name": "tvlToken0",
"type": "Nullable(Float64)"
},
{
"name": "tvlToken1",
"type": "Nullable(Float64)"
},
{
"name": "tvl",
"type": "Nullable(Float64)"
},
{
"name": "volumeToken0",
"type": "Nullable(Float64)"
},
{
"name": "volumeToken1",
"type": "Nullable(Float64)"
},
{
"name": "volume24h",
"type": "Nullable(Float64)"
},
{
"name": "fees24h",
"type": "Nullable(Float64)"
},
{
"name": "apr24h",
"type": "Nullable(Float64)"
},
{
"name": "priceVolatility",
"type": "Nullable(Float64)"
},
{
"name": "utilization24h",
"type": "Nullable(Float64)"
},
{
"name": "swaps24h",
"type": "UInt64"
},
{
"name": "ticksUsed24h",
"type": "UInt64"
}
],
"data": [
[
900,
"CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
"Raydium CLMM",
"3ucNos4NbumPLZNWztqGHNFFgkHeRMBQAVemeeomsUxv",
"2024-08-07T13:33:36+00:00",
"So11111111111111111111111111111111111111112",
"SOL",
9,
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"USDC",
6,
400,
1,
5851998955156811000,
-22964,
100.63963078966454,
"2026-08-25T08:46:46+00:00",
"4ct7br2vTPzfdmY3S5HLtTxcGSBfn6pnw98hsS6v359A",
"5it83u57VRrVgc51oNV19TTmAJuffPx5GtGwQr7gQNUo",
100.65902924569463,
1,
32307.84666239,
3053965.95657,
6306042.438624932,
563506.102761191,
55269131.471122,
56721977.27796612,
22688.790911186446,
131.3249754213335,
0.01358530454169533,
100,
69590,
923
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Retrieve Pool Info for a Raydium CLMM Pool
Fetch comprehensive pool metrics for a single Raydium CLMM SOL/USDC pool, including price, TVL, volume, and APR.
curl
curl -X GET "https://api.cambrian.org/solana/raydium-clmm/pool?pool_addresses=3ucNos4NbumPLZNWztqGHNFFgkHeRMBQAVemeeomsUxv" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "dexAddress",
10 "type": "String"
11 },
12 {
13 "name": "dexName",
14 "type": "String"
15 },
16 {
17 "name": "poolAddress",
18 "type": "FixedString(44)"
19 },
20 {
21 "name": "createdAt",
22 "type": "DateTime('UTC')"
23 },
24 {
25 "name": "token0Address",
26 "type": "FixedString(44)"
27 },
28 {
29 "name": "token0Symbol",
30 "type": "String"
31 },
32 {
33 "name": "token0Decimals",
34 "type": "UInt8"
35 },
36 {
37 "name": "token1Address",
38 "type": "FixedString(44)"
39 },
40 {
41 "name": "token1Symbol",
42 "type": "String"
43 },
44 {
45 "name": "token1Decimals",
46 "type": "UInt8"
47 },
48 {
49 "name": "feeTier",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 },
56 {
57 "name": "sqrtPriceX64",
58 "type": "UInt128"
59 },
60 {
61 "name": "tick",
62 "type": "Int32"
63 },
64 {
65 "name": "price",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "lastSwapTime",
70 "type": "DateTime('UTC')"
71 },
72 {
73 "name": "tokenVault0",
74 "type": "FixedString(44)"
75 },
76 {
77 "name": "tokenVault1",
78 "type": "FixedString(44)"
79 },
80 {
81 "name": "token0PriceUSD",
82 "type": "Float64"
83 },
84 {
85 "name": "token1PriceUSD",
86 "type": "Float64"
87 },
88 {
89 "name": "tvlToken0",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "tvlToken1",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "tvl",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "volumeToken0",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "volumeToken1",
106 "type": "Nullable(Float64)"
107 },
108 {
109 "name": "volume24h",
110 "type": "Nullable(Float64)"
111 },
112 {
113 "name": "fees24h",
114 "type": "Nullable(Float64)"
115 },
116 {
117 "name": "apr24h",
118 "type": "Nullable(Float64)"
119 },
120 {
121 "name": "priceVolatility",
122 "type": "Nullable(Float64)"
123 },
124 {
125 "name": "utilization24h",
126 "type": "Nullable(Float64)"
127 },
128 {
129 "name": "swaps24h",
130 "type": "UInt64"
131 },
132 {
133 "name": "ticksUsed24h",
134 "type": "UInt64"
135 }
136 ],
137 "data": [
138 [
139 900,
140 "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
141 "Raydium CLMM",
142 "3ucNos4NbumPLZNWztqGHNFFgkHeRMBQAVemeeomsUxv",
143 "2024-08-07T13:33:36+00:00",
144 "So11111111111111111111111111111111111111112",
145 "SOL",
146 9,
147 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
148 "USDC",
149 6,
150 400,
151 1,
152 5851998955156811000,
153 -22964,
154 100.63963078966454,
155 "2026-08-25T08:46:46+00:00",
156 "4ct7br2vTPzfdmY3S5HLtTxcGSBfn6pnw98hsS6v359A",
157 "5it83u57VRrVgc51oNV19TTmAJuffPx5GtGwQr7gQNUo",
158 100.65902924569463,
159 1,
160 32307.84666239,
161 3053965.95657,
162 6306042.438624932,
163 563506.102761191,
164 55269131.471122,
165 56721977.27796612,
166 22688.790911186446,
167 131.3249754213335,
168 0.01358530454169533,
169 100,
170 69590,
171 923
172 ]
173 ],
174 "rows": 1
175 }
176]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "dexAddress",
10 "type": "String"
11 },
12 {
13 "name": "dexName",
14 "type": "String"
15 },
16 {
17 "name": "poolAddress",
18 "type": "FixedString(44)"
19 },
20 {
21 "name": "createdAt",
22 "type": "DateTime('UTC')"
23 },
24 {
25 "name": "token0Address",
26 "type": "FixedString(44)"
27 },
28 {
29 "name": "token0Symbol",
30 "type": "String"
31 },
32 {
33 "name": "token0Decimals",
34 "type": "UInt8"
35 },
36 {
37 "name": "token1Address",
38 "type": "FixedString(44)"
39 },
40 {
41 "name": "token1Symbol",
42 "type": "String"
43 },
44 {
45 "name": "token1Decimals",
46 "type": "UInt8"
47 },
48 {
49 "name": "feeTier",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 },
56 {
57 "name": "sqrtPriceX64",
58 "type": "UInt128"
59 },
60 {
61 "name": "tick",
62 "type": "Int32"
63 },
64 {
65 "name": "price",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "lastSwapTime",
70 "type": "DateTime('UTC')"
71 },
72 {
73 "name": "tokenVault0",
74 "type": "FixedString(44)"
75 },
76 {
77 "name": "tokenVault1",
78 "type": "FixedString(44)"
79 },
80 {
81 "name": "token0PriceUSD",
82 "type": "Float64"
83 },
84 {
85 "name": "token1PriceUSD",
86 "type": "Float64"
87 },
88 {
89 "name": "tvlToken0",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "tvlToken1",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "tvl",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "volumeToken0",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "volumeToken1",
106 "type": "Nullable(Float64)"
107 },
108 {
109 "name": "volume24h",
110 "type": "Nullable(Float64)"
111 },
112 {
113 "name": "fees24h",
114 "type": "Nullable(Float64)"
115 },
116 {
117 "name": "apr24h",
118 "type": "Nullable(Float64)"
119 },
120 {
121 "name": "priceVolatility",
122 "type": "Nullable(Float64)"
123 },
124 {
125 "name": "utilization24h",
126 "type": "Nullable(Float64)"
127 },
128 {
129 "name": "swaps24h",
130 "type": "UInt64"
131 },
132 {
133 "name": "ticksUsed24h",
134 "type": "UInt64"
135 }
136 ],
137 "data": [
138 [
139 900,
140 "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
141 "Raydium CLMM",
142 "3ucNos4NbumPLZNWztqGHNFFgkHeRMBQAVemeeomsUxv",
143 "2024-08-07T13:33:36+00:00",
144 "So11111111111111111111111111111111111111112",
145 "SOL",
146 9,
147 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
148 "USDC",
149 6,
150 400,
151 1,
152 5851998955156811000,
153 -22964,
154 100.63963078966454,
155 "2026-08-25T08:46:46+00:00",
156 "4ct7br2vTPzfdmY3S5HLtTxcGSBfn6pnw98hsS6v359A",
157 "5it83u57VRrVgc51oNV19TTmAJuffPx5GtGwQr7gQNUo",
158 100.65902924569463,
159 1,
160 32307.84666239,
161 3053965.95657,
162 6306042.438624932,
163 563506.102761191,
164 55269131.471122,
165 56721977.27796612,
166 22688.790911186446,
167 131.3249754213335,
168 0.01358530454169533,
169 100,
170 69590,
171 923
172 ]
173 ],
174 "rows": 1
175 }
176]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/raydium-clmm/pool"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/raydium-clmm/pool"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/raydium-clmm/pool")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/raydium-clmm/pool")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request